Skip to main content
GET
Fetch single full response

Description

Gets a single response full data.

Path Params

  • responseId: Id of the desired response. Required.

Response

200 OK

where:
  • answers: Object containing the responses of the questions answered by the respondent. The format of each response may vary according to the type of the question.
  • timeToComplete: Time in seconds that the respondent took to complete the survey.
  • id: The unique id of the response.
  • projectId: The id of the project.
  • createdAt: The timestamp when the response was submitted.
  • channel: The distribution channel through the survey was sent to the respondent.
  • campaignId: The id of the campaign.
  • serverCreationDate: The date in UTC format when the response was submitted.
  • requestInfo: The location info of the request that was made when the response was submitted.
  • code: The unique and short code assigned to the response.
  • conceptTestsDisplayed: The concept tests that were displayed to the respondent.
  • headers: The headers info of the request that was made when the response was submitted.
  • urlHash: The public url hash to identify the survey. Used in the public survey link.
  • isAdmin: A flag to know if the response was submitted with the admin link.
  • uuid: Unique code generated to avoid duplicates.
  • completenessPercent: The percentage of completion of the survey. Calculated with questionsDisplayedCount and responsesCount.
  • questionsDisplayedCount: The amount of questions displayed to the respondent in the survey.
  • responsesCount: The amount of questions actually answered by the respondent in the survey.

401 Unauthorized

The user doesn’t have permissions.

500 Internal Server Error

Error occurred while processing the request.

Authorizations

Authorization
string
header
required

Access token obtained from the m2m-token endpoint.

Headers

Authorization
string
required

Authorization token

Response

Fetch single full response

The response is of type object.